From d35ec6a168342182db48442545dd58649ac85094 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 19:21:49 -0500
Subject: [PATCH 24/26] avoid shadow vars: ecpglib/execute.c: len

commit a4f25b6a9c2dbf5f38e498922e3761cb3bf46ba0
Author: Michael Meskes <meskes@postgresql.org>
Date:   Sun Mar 16 10:42:54 2003 +0000

    Started working on a seperate pgtypes library. First test work. PLEASE test compilation on iother systems.
---
 src/interfaces/ecpg/ecpglib/execute.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/interfaces/ecpg/ecpglib/execute.c b/src/interfaces/ecpg/ecpglib/execute.c
index bd94bd4e6c6..2d34f76cd73 100644
--- a/src/interfaces/ecpg/ecpglib/execute.c
+++ b/src/interfaces/ecpg/ecpglib/execute.c
@@ -367,10 +367,10 @@ ecpg_store_result(const PGresult *results, int act_field,
 						/* check strlen for each tuple */
 						for (act_tuple = 0; act_tuple < ntuples; act_tuple++)
 						{
-							int			len = strlen(PQgetvalue(results, act_tuple, act_field)) + 1;
+							int			thislen = strlen(PQgetvalue(results, act_tuple, act_field)) + 1;
 
-							if (len > var->varcharsize)
-								var->varcharsize = len;
+							if (thislen > var->varcharsize)
+								var->varcharsize = thislen;
 						}
 						var->offset *= var->varcharsize;
 						len = var->offset * ntuples;
-- 
2.17.1

